package DefaultValueSetter::CMS;

use strict;

use Data::Dumper;

sub set_default_value {
    my ($cb, $app, $param) = @_;

    my $blog_id = $app->blog->id;

    my $plugin = MT->component("DefaultValueSetter");
    my $entry_id = $app->param('id');

    my $title = $plugin->get_config_value('def_entry_title', 'blog:'.$app->param('blog_id'));
    if ($entry_id eq '' && $title ne '') {
        $param->{title} = $title;
    }

    my $content = $plugin->get_config_value('def_entry_content', 'blog:'.$app->param('blog_id'));
    if ($entry_id eq '' && $content ne '') {
        $param->{text} = $content;
    }

    my $more = $plugin->get_config_value('def_entry_more', 'blog:'.$app->param('blog_id'));
    if ($entry_id eq '' && $more ne '') {
        $param->{text_more} = $more;
    }

    my $excerpt = $plugin->get_config_value('def_entry_excerpt', 'blog:'.$app->param('blog_id'));
    if ($entry_id eq '' && $excerpt ne '') {
        $param->{excerpt} = $excerpt;
    }

    my $keywords = $plugin->get_config_value('def_entry_keywords', 'blog:'.$app->param('blog_id'));
    if ($entry_id eq '' && $keywords ne '') {
        $param->{keywords} = $keywords;
    }

    my $tags = $plugin->get_config_value('def_entry_tags', 'blog:'.$app->param('blog_id'));
    if ($entry_id eq '' && $tags ne '') {
        $param->{tags} = $tags;
    }
}

1;
